Package org.eclipse.cdt.core.resources

# Class PathEntryVariableChangeEvent

java.lang.Object
java.util.EventObject
org.eclipse.cdt.core.resources.PathEntryVariableChangeEvent

All Implemented Interfaces:
  `Serializable`

public class PathEntryVariableChangeEvent extends EventObject
Describes a change in path variable.

See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`VARIABLE_CHANGED`
Event type constant (value = 1) that denotes a value change .
`static final int`
`VARIABLE_CREATED`
Event type constant (value = 2) that denotes a variable creation.
`static final int`
`VARIABLE_DELETED`
Event type constant (value = 3) that denotes a variable deletion.

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PathEntryVariableChangeEvent(IPathEntryVariableManager source, String variableName, org.eclipse.core.runtime.IPath value, int type)`
Constructor for this class.

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
`org.eclipse.core.runtime.IPath`
`getValue()`
`String`
`getVariableName()`
`String`
`toString()`
Return a string representation of this object.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### VARIABLE_CHANGED

public static final int VARIABLE_CHANGED
Event type constant (value = 1) that denotes a value change .

See Also:
  - Constant Field Values

### VARIABLE_CREATED

public static final int VARIABLE_CREATED
Event type constant (value = 2) that denotes a variable creation.

See Also:
  - Constant Field Values

### VARIABLE_DELETED

public static final int VARIABLE_DELETED
Event type constant (value = 3) that denotes a variable deletion.

See Also:
  - Constant Field Values

## Constructor Details

### PathEntryVariableChangeEvent

public PathEntryVariableChangeEvent(IPathEntryVariableManager source, String variableName, org.eclipse.core.runtime.IPath value, int type)
Constructor for this class.

## Method Details

### getValue

public org.eclipse.core.runtime.IPath getValue()

### getVariableName

public String getVariableName()

### getType

public int getType()

### toString

public String toString()
Return a string representation of this object.

Overrides:
  `toString` in class `EventObject`